<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSanctionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: sanctions
         */
        Schema::create('sanctions', function ($table) {
            $table->increments('id');
            $table->integer('deal_id')->nullable();
            $table->string('ref', 20)->nullable();
            $table->string('deal_ref', 20)->nullable();
            $table->string('type', 20)->nullable();
            $table->string('status', 20)->nullable();
            $table->decimal('score', 5,2)->nullable();
            $table->string('buyer_name', 200)->nullable();
            $table->string('seller_name', 200)->nullable();
            $table->text('buyer_names')->nullable();
            $table->text('seller_names')->nullable();
            $table->text('notes')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('sanctions');
    }
}
