<?php

namespace Bixo\Sanction;

use User;

class Sanction
{
    /**
     * $sanction object.
     */
    protected $sanction;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Sanction\Interfaces\SanctionRepositoryInterface $sanction)
    {
        $this->sanction = $sanction;
    }

    /**
     * Returns count of sanction.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.sanction.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->sanction->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\SanctionUserCriteria());
        }

        $sanction = $this->sanction->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('sanction::' . $view, compact('sanction'))->render();
    }
}
